List registry robot accounts
GET
/api/v1/organizations/{orgID}/registry/robot-accounts
const url = 'https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry/robot-accounts';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.aetherplatform.cloud/api/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/registry/robot-accounts \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” orgID
required
string format: uuid
Organization UUID.
Responses
Section titled “ Responses ”A list of robot accounts.
Media type application/json
object
items
required
Array<object>
object
id
required
string
org_id
required
string
name
required
string
permissions
required
Array<string>
harbor_id
integer | null format: int64
last_used_at
string | null format: date-time
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example generated
{ "items": [ { "id": "example", "org_id": "example", "name": "example", "permissions": [ "example" ], "harbor_id": 1, "last_used_at": "2026-04-15T12:00:00Z", "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z" } ]}Missing or invalid credentials.
Media type application/json
object
error
required
object
code
required
A stable, machine-readable error code.
string
message
required
string
details
Array<object>
object
field
required
string
code
required
string
message
required
string
Example generated
{ "error": { "code": "example", "message": "example", "details": [ { "field": "example", "code": "example", "message": "example" } ] }}